# CbcDynamicPseudoCostBranchingObject Class Reference

Simple branching object for an integer variable with pseudo costs. More...

`#include <CbcBranchDynamic.hpp>`

Inheritance diagram for CbcDynamicPseudoCostBranchingObject:
[legend]
Collaboration diagram for CbcDynamicPseudoCostBranchingObject:
[legend]

List of all members.

## Public Member Functions
| CbcDynamicPseudoCostBranchingObject ()
| Default constructor.
| CbcDynamicPseudoCostBranchingObject (CbcModel *model, int variable, int way, double value, CbcSimpleIntegerDynamicPseudoCost *object)
| Create a standard floor/ceiling branch object.
| CbcDynamicPseudoCostBranchingObject (CbcModel *model, int variable, int way, double lowerValue, double upperValue)
| Create a degenerate branch object.
| CbcDynamicPseudoCostBranchingObject (const CbcDynamicPseudoCostBranchingObject &)
| Copy constructor.
CbcDynamicPseudoCostBranchingObject & | operator= (const CbcDynamicPseudoCostBranchingObject &rhs)
| Assignment operator.
virtual CbcBranchingObject * | clone () const
| Clone.
virtual | ~CbcDynamicPseudoCostBranchingObject ()
| Destructor.
void | fillPart (int variable, int way, double value, CbcSimpleIntegerDynamicPseudoCost *object)
| Does part of constructor.
virtual double | branch ()
| Sets the bounds for the variable according to the current arm of the branch and advances the object state to the next arm.
virtual int | fillStrongInfo (CbcStrongInfo &info)
| Some branchingObjects may claim to be able to skip strong branching.
double | changeInGuessed () const
| Change in guessed.
void | setChangeInGuessed (double value)
| Set change in guessed.
CbcSimpleIntegerDynamicPseudoCost * | object () const
| Return object.
void | setObject (CbcSimpleIntegerDynamicPseudoCost *object)
| Set object.
virtual CbcBranchObjType | type () const
| Return the type (an integer identifier) of `this`.
## Protected Attributes
double | changeInGuessed_
| Change in guessed objective value for next branch.
CbcSimpleIntegerDynamicPseudoCost * | object_
| Pointer back to object.

## Detailed Description

Simple branching object for an integer variable with pseudo costs.

This object can specify a two-way branch on an integer variable. For each arm of the branch, the upper and lower bounds on the variable can be independently specified.

Variable_ holds the index of the integer variable in the integerVariable_ array of the model.

Definition at line 111 of file CbcBranchDynamic.hpp.

## Constructor & Destructor Documentation

CbcDynamicPseudoCostBranchingObject::CbcDynamicPseudoCostBranchingObject | ( |  | ) |

Default constructor.

CbcDynamicPseudoCostBranchingObject::CbcDynamicPseudoCostBranchingObject | ( | CbcModel * | model,
|  | int | variable,
|  | int | way,
|  | double | value,
|  | CbcSimpleIntegerDynamicPseudoCost * | object |
| ) |  |  |

Create a standard floor/ceiling branch object.

Specifies a simple two-way branch. Let `value` = x*. One arm of the branch will be is lb <= x <= floor(x*), the other ceil(x*) <= x <= ub. Specify way = -1 to set the object state to perform the down arm first, way = 1 for the up arm.

CbcDynamicPseudoCostBranchingObject::CbcDynamicPseudoCostBranchingObject | ( | CbcModel * | model,
|  | int | variable,
|  | int | way,
|  | double | lowerValue,
|  | double | upperValue |
| ) |  |  |

Create a degenerate branch object.

Specifies a `one-way branch'. Calling branch() for this object will always result in lowerValue <= x <= upperValue. Used to fix a variable when lowerValue = upperValue.

CbcDynamicPseudoCostBranchingObject::CbcDynamicPseudoCostBranchingObject | ( | const CbcDynamicPseudoCostBranchingObject & |  | ) |

Copy constructor.

virtual CbcDynamicPseudoCostBranchingObject::~CbcDynamicPseudoCostBranchingObject | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

CbcDynamicPseudoCostBranchingObject& CbcDynamicPseudoCostBranchingObject::operator= | ( | const CbcDynamicPseudoCostBranchingObject & | rhs | ) |

Assignment operator.

Reimplemented from CbcIntegerBranchingObject.

virtual CbcBranchingObject* CbcDynamicPseudoCostBranchingObject::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from CbcIntegerBranchingObject.

void CbcDynamicPseudoCostBranchingObject::fillPart | ( | int | variable,
|  | int | way,
|  | double | value,
|  | CbcSimpleIntegerDynamicPseudoCost * | object |
| ) |  |  |

Does part of constructor.

virtual double CbcDynamicPseudoCostBranchingObject::branch | ( |  | ) | `[virtual]`

Sets the bounds for the variable according to the current arm of the branch and advances the object state to the next arm.

This version also changes guessed objective value

Reimplemented from CbcIntegerBranchingObject.

virtual int CbcDynamicPseudoCostBranchingObject::fillStrongInfo | ( | CbcStrongInfo & | info | ) | `[virtual]`

Some branchingObjects may claim to be able to skip strong branching.

If so they have to fill in CbcStrongInfo. The object mention in incoming CbcStrongInfo must match. Returns nonzero if skip is wanted

Reimplemented from CbcBranchingObject.

double CbcDynamicPseudoCostBranchingObject::changeInGuessed | ( |  | ) | const`[inline]`

Change in guessed.

Definition at line 170 of file CbcBranchDynamic.hpp.

void CbcDynamicPseudoCostBranchingObject::setChangeInGuessed | ( | double | value | ) | `[inline]`

Set change in guessed.

Definition at line 174 of file CbcBranchDynamic.hpp.

CbcSimpleIntegerDynamicPseudoCost* CbcDynamicPseudoCostBranchingObject::object | ( |  | ) | const`[inline]`

Return object.

Reimplemented from CbcBranchingObject.

Definition at line 178 of file CbcBranchDynamic.hpp.

void CbcDynamicPseudoCostBranchingObject::setObject | ( | CbcSimpleIntegerDynamicPseudoCost * | object | ) | `[inline]`

Set object.

Definition at line 182 of file CbcBranchDynamic.hpp.

virtual CbcBranchObjType CbcDynamicPseudoCostBranchingObject::type | ( |  | ) | const`[inline, virtual]`

Return the type (an integer identifier) of `this`.

Reimplemented from CbcIntegerBranchingObject.

Definition at line 187 of file CbcBranchDynamic.hpp.

## Member Data Documentation

double CbcDynamicPseudoCostBranchingObject::changeInGuessed_`[protected]`

Change in guessed objective value for next branch.

Definition at line 199 of file CbcBranchDynamic.hpp.

CbcSimpleIntegerDynamicPseudoCost* CbcDynamicPseudoCostBranchingObject::object_`[protected]`

Pointer back to object.

Definition at line 201 of file CbcBranchDynamic.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.8/Cbc/src/CbcBranchDynamic.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines